pentestAiGraphNode
Returns PentestAI attack graph node details for an execution
pentestAiGraphNode(
projectId: ID!
nodeId: String!
): JSON
Arguments
pentestAiGraphNode.projectId ● ID! non-null scalar
pentestAiGraphNode.nodeId ● String! non-null scalar
Type
JSON scalar
Represents untyped JSON
Example request
This generated query uses placeholders for required values. Replace them with values available to your API key before running it.
Before you run it
Run the projects query first and use data.projects.collection[].id as projectId.
- cURL
- JavaScript
- Python
curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"query GetPentestAiGraphNode($projectId: ID!, $nodeId: String!) {\n pentestAiGraphNode(projectId: $projectId, nodeId: $nodeId)\n}","variables":{"projectId":"<project_id>","nodeId":"example"}}'
const response = await fetch('https://api.convisoappsec.com/graphql', {
method: 'POST',
headers: {
'content-type': 'application/json',
'x-api-key': process.env.CONVISO_API_KEY,
},
body: JSON.stringify({
query: "query GetPentestAiGraphNode($projectId: ID!, $nodeId: String!) {\n pentestAiGraphNode(projectId: $projectId, nodeId: $nodeId)\n}",
variables: {
"projectId": "<project_id>",
"nodeId": "example"
},
}),
});
const { data, errors } = await response.json();
if (errors) throw new Error(errors.map(({ message }) => message).join(', '));
console.log(data);
import json
import os
import requests
response = requests.post(
'https://api.convisoappsec.com/graphql',
headers={
'content-type': 'application/json',
'x-api-key': os.environ['CONVISO_API_KEY'],
},
json={
'query': "query GetPentestAiGraphNode($projectId: ID!, $nodeId: String!) {\n pentestAiGraphNode(projectId: $projectId, nodeId: $nodeId)\n}",
'variables': json.loads("{\"projectId\":\"<project_id>\",\"nodeId\":\"example\"}"),
},
timeout=30,
)
response.raise_for_status()
payload = response.json()
if payload.get('errors'):
raise RuntimeError(payload['errors'])
print(payload['data'])
Contribute to the Docs
Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.
How to contribute